QGIS Application - Bug report #15366
Attribute table sorts numeric values like text

2016-07-30 04:08 AM - Anita Graser

Status: Rejected

Priority: Severe/Regression
Assignee:

Category: Attribute table

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 23297

Description

Both integer and float values are sorted like text.

Tested with 2.16.1 and dev using airports.shp from our sample data.

Related issues:

Duplicates QGIS Application - Bug report # 15295: 2.16 Attribute table - sort...

Closed

2016-07-17

History

#1 - 2016-08-01 03:12 AM - Etienne Trimaille

| can confirm this issue too.
2.14 looks fine, but no 2.16

#2 - 2016-08-01 05:55 AM - Alexander Bruy
- Resolution set to duplicate
- Status changed from Open to Rejected

Duplicates #15295

2025-04-27
